<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_152) on Tue Dec 04 18:10:16 CST 2018 -->
<title>Graphics</title>
<meta name="date" content="2018-12-04">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Graphics";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Graphics.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../projectx/engine/glgfx/GameCamera.html" title="class in projectx.engine.glgfx"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../projectx/engine/glgfx/ImageLoader.html" title="class in projectx.engine.glgfx"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?projectx/engine/glgfx/Graphics.html" target="_top">Frames</a></li>
<li><a href="Graphics.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">projectx.engine.glgfx</div>
<h2 title="Class Graphics" class="title">Class Graphics</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>projectx.engine.glgfx.Graphics</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Graphics</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">This class is a custom made LWJGL and slack version of the Java.awt.Graphics class.
 It has many of the same features, with the same names, that do the same things as Java.awt.Graphics' class.
 It is designed for an easy and swift conversion from java.awt to LWJGL.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Kenneth Lange</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../projectx/engine/glgfx/Graphics.html#Graphics--">Graphics</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/glgfx/Graphics.html#drawImage-org.newdawn.slick.opengl.Texture-int-int-int-int-">drawImage</a></span>(org.newdawn.slick.opengl.Texture&nbsp;texture,
         int&nbsp;x,
         int&nbsp;y,
         int&nbsp;width,
         int&nbsp;height)</code>
<div class="block">Fills the specified rectangle with the given texture.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/glgfx/Graphics.html#drawLine-int-int-int-int-">drawLine</a></span>(int&nbsp;x1,
        int&nbsp;y1,
        int&nbsp;x2,
        int&nbsp;y2)</code>
<div class="block">Draws a line, using the current color, between the points (x1, y1) and (x2, y2) in this graphics context's coordinate system.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/glgfx/Graphics.html#drawRect-int-int-int-int-">drawRect</a></span>(int&nbsp;x,
        int&nbsp;y,
        int&nbsp;width,
        int&nbsp;height)</code>
<div class="block">Draws the outline of the specified rectangle.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/glgfx/Graphics.html#drawString-java.lang.String-float-float-">drawString</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;string,
          float&nbsp;x,
          float&nbsp;y)</code>
<div class="block">This method takes in a string and an x and y coordinates then draws that string to the screen.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/glgfx/Graphics.html#fillRect-int-int-int-int-">fillRect</a></span>(int&nbsp;x,
        int&nbsp;y,
        int&nbsp;width,
        int&nbsp;height)</code>
<div class="block">Fills the specified rectangle.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>org.newdawn.slick.opengl.Texture</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/glgfx/Graphics.html#loadImage-java.lang.String-java.lang.String-">loadImage</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path,
         <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fileType)</code>
<div class="block">This method can load any image file type (.jpeg, .png, etc.) from a path using the file type to understand what kind of picture it is trying to learn.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>org.newdawn.slick.opengl.Texture</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/glgfx/Graphics.html#QuickLoadPNG-java.lang.String-">QuickLoadPNG</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">This method is an extended method that directly uses loadImage to load a PNG and return it to the caller.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/glgfx/Graphics.html#setColor-org.lwjgl.util.Color-">setColor</a></span>(org.lwjgl.util.Color&nbsp;c)</code>
<div class="block">Sets this graphics context's current color to the specified color.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/glgfx/Graphics.html#setColor-double-double-double-double-">setColor</a></span>(double&nbsp;Red,
        double&nbsp;Green,
        double&nbsp;Blue,
        double&nbsp;Alpha)</code>
<div class="block">Sets this graphics context's current color to the specified color code RGBA.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/glgfx/Graphics.html#setColor-org.lwjgl.util.ReadableColor-">setColor</a></span>(org.lwjgl.util.ReadableColor&nbsp;c)</code>
<div class="block">Sets this graphics context's current color to the specified readable color.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/glgfx/Graphics.html#setFont-java.awt.Font-">setFont</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/awt/Font.html?is-external=true" title="class or interface in java.awt">Font</a>&nbsp;font)</code>
<div class="block">This Method sets the font of the desired texture to be printed to screen.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Graphics--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Graphics</h4>
<pre>public&nbsp;Graphics()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setFont-java.awt.Font-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFont</h4>
<pre>public&nbsp;void&nbsp;setFont(<a href="https://docs.oracle.com/javase/8/docs/api/java/awt/Font.html?is-external=true" title="class or interface in java.awt">Font</a>&nbsp;font)</pre>
<div class="block">This Method sets the font of the desired texture to be printed to screen.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>font</code> - </dd>
</dl>
</li>
</ul>
<a name="drawString-java.lang.String-float-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>drawString</h4>
<pre>public&nbsp;void&nbsp;drawString(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;string,
                       float&nbsp;x,
                       float&nbsp;y)</pre>
<div class="block">This method takes in a string and an x and y coordinates then draws that string to the screen.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>string</code> - </dd>
<dd><code>x</code> - </dd>
<dd><code>y</code> - </dd>
</dl>
</li>
</ul>
<a name="setColor-org.lwjgl.util.Color-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setColor</h4>
<pre>public&nbsp;void&nbsp;setColor(org.lwjgl.util.Color&nbsp;c)</pre>
<div class="block">Sets this graphics context's current color to the specified color.
 All subsequent graphics operations using this graphics context use this specified color.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>c</code> - </dd>
</dl>
</li>
</ul>
<a name="setColor-org.lwjgl.util.ReadableColor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setColor</h4>
<pre>public&nbsp;void&nbsp;setColor(org.lwjgl.util.ReadableColor&nbsp;c)</pre>
<div class="block">Sets this graphics context's current color to the specified readable color.
 All subsequent graphics operations using this graphics context use this specified color.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>c</code> - </dd>
</dl>
</li>
</ul>
<a name="setColor-double-double-double-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setColor</h4>
<pre>public&nbsp;void&nbsp;setColor(double&nbsp;Red,
                     double&nbsp;Green,
                     double&nbsp;Blue,
                     double&nbsp;Alpha)</pre>
<div class="block">Sets this graphics context's current color to the specified color code RGBA.
 All subsequent graphics operations using this graphics context use this specified color.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>Red</code> - </dd>
<dd><code>Green</code> - </dd>
<dd><code>Blue</code> - </dd>
<dd><code>Alpha</code> - </dd>
</dl>
</li>
</ul>
<a name="drawLine-int-int-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>drawLine</h4>
<pre>public&nbsp;void&nbsp;drawLine(int&nbsp;x1,
                     int&nbsp;y1,
                     int&nbsp;x2,
                     int&nbsp;y2)</pre>
<div class="block">Draws a line, using the current color, between the points (x1, y1) and (x2, y2) in this graphics context's coordinate system.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x1</code> - </dd>
<dd><code>y1</code> - </dd>
<dd><code>x2</code> - </dd>
<dd><code>y2</code> - </dd>
</dl>
</li>
</ul>
<a name="drawRect-int-int-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>drawRect</h4>
<pre>public&nbsp;void&nbsp;drawRect(int&nbsp;x,
                     int&nbsp;y,
                     int&nbsp;width,
                     int&nbsp;height)</pre>
<div class="block">Draws the outline of the specified rectangle. The left and right edges of the rectangle are at x and x + width.
 The top and bottom edges are at y and y + height. The rectangle is drawn using the graphics context's current color.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - </dd>
<dd><code>y</code> - </dd>
<dd><code>width</code> - </dd>
<dd><code>height</code> - </dd>
</dl>
</li>
</ul>
<a name="fillRect-int-int-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fillRect</h4>
<pre>public&nbsp;void&nbsp;fillRect(int&nbsp;x,
                     int&nbsp;y,
                     int&nbsp;width,
                     int&nbsp;height)</pre>
<div class="block">Fills the specified rectangle. The left and right edges of the rectangle are at x and x + width. The top and bottom edges are at y and y + height.
 The resulting rectangle covers an area width pixels wide by height pixels tall. The rectangle is filled using the graphics context's current color.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - </dd>
<dd><code>y</code> - </dd>
<dd><code>width</code> - </dd>
<dd><code>height</code> - </dd>
</dl>
</li>
</ul>
<a name="drawImage-org.newdawn.slick.opengl.Texture-int-int-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>drawImage</h4>
<pre>public&nbsp;void&nbsp;drawImage(org.newdawn.slick.opengl.Texture&nbsp;texture,
                      int&nbsp;x,
                      int&nbsp;y,
                      int&nbsp;width,
                      int&nbsp;height)</pre>
<div class="block">Fills the specified rectangle with the given texture. The left and right edges of the rectangle are at x and x + width. The top and bottom edges are at y and y + height.
 The resulting rectangle covers an area width pixels wide by height pixels tall. The rectangle is filled using the graphics context's current color.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>texture</code> - </dd>
<dd><code>x</code> - </dd>
<dd><code>y</code> - </dd>
<dd><code>width</code> - </dd>
<dd><code>height</code> - </dd>
</dl>
</li>
</ul>
<a name="loadImage-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>loadImage</h4>
<pre>public&nbsp;org.newdawn.slick.opengl.Texture&nbsp;loadImage(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path,
                                                  <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fileType)</pre>
<div class="block">This method can load any image file type (.jpeg, .png, etc.) from a path using the file type to understand what kind of picture it is trying to learn.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - </dd>
<dd><code>fileType</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="QuickLoadPNG-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>QuickLoadPNG</h4>
<pre>public&nbsp;org.newdawn.slick.opengl.Texture&nbsp;QuickLoadPNG(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block">This method is an extended method that directly uses loadImage to load a PNG and return it to the caller.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Graphics.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../projectx/engine/glgfx/GameCamera.html" title="class in projectx.engine.glgfx"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../projectx/engine/glgfx/ImageLoader.html" title="class in projectx.engine.glgfx"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?projectx/engine/glgfx/Graphics.html" target="_top">Frames</a></li>
<li><a href="Graphics.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
